### Function

# Gck Attribute new_boolean

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_boolean (
      gulong attr_type,
      gboolean value
    )

#### Description [src]

Initialize a PKCS#11 attribute to boolean. This will result in a CK_BBOOL attribute from the PKCS#11 specs.

#### Parameters

`attr_type` | `gulong`
| The PKCS#11 attribute type to set on the attribute.
`value` | `gboolean`
| The boolean value of the attribute.

#### Return value

Returns: | `GckAttribute`
| The new attribute; when done with the attribute u `gck_attribute_free()` to free it.
| The caller of the function takes ownership of the data, and is responsible for freeing it.